--- spyder/config/base.py.orig	2016-08-23 09:15:39.000000000 -0500
+++ spyder/config/base.py	2016-08-23 09:18:27.000000000 -0500
@@ -22,6 +22,7 @@
 import sys
 
 # Local imports
+from spyder import __version__
 from spyder.utils import encoding
 from spyder.py3compat import (is_unicode, TEXT_TYPES, INT_TYPES, PY3,
                                  to_text_string, is_text_string)
@@ -73,10 +74,10 @@
 # since 3.0+ we've reverted back to use .spyder to simplify major
 # updates in version (required when we change APIs by Linux
 # packagers)
-if sys.platform.startswith('linux'):
-    SUBFOLDER = 'spyder'
-else:
-    SUBFOLDER = '.spyder'
+#if sys.platform.startswith('linux'):
+#    SUBFOLDER = 'spyder'
+#else:
+#    SUBFOLDER = '.spyder'
 
 
 # We can't have PY2 and PY3 settings in the same dir because:
@@ -84,9 +85,14 @@
 #    embed a PY2 interpreter in PY3)
 # 2. We need to save the list of installed modules (for code
 #    completion) separately for each version
-if PY3:
-    SUBFOLDER = SUBFOLDER + '-py3'
+#if PY3:
+#    SUBFOLDER = SUBFOLDER + '-py3'
 
+# Macports: We allow multiple python 2.x or 3.x versions side-by-side; keep
+# preferences separate.
+SUBFOLDER = '.spyder%s-%s%s' % (__version__.split('.')[0],
+                                sys.version_info[0],
+                                sys.version_info[1])
 
 def get_home_dir():
     """
